OSDN Git Service

trunk整理
[ultramonkey-l7/ultramonkey-l7-v3.git] / test / script / l7vsd / l7vsd-7.sh
diff --git a/test/script/l7vsd/l7vsd-7.sh b/test/script/l7vsd/l7vsd-7.sh
new file mode 100755 (executable)
index 0000000..e977ce7
--- /dev/null
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+. ${SET_DEFAULT_CONF}
+
+#Add Service
+$L7VSD
+if [ $? -ne 0 ]
+then
+        echo "Test failed: $L7VSD"
+        exit 1
+fi
+usleep 100000
+
+$L7VSADM -A -t localhost:40001 -m sessionless
+if [ $? -ne 0 ]
+then
+        echo "Test failed: $L7VSADM -A -t localhost:40001 -m sessionless"
+        exit 1
+fi
+
+
+RET=`$L7VSADM`
+EXPECT="Layer-7 Virtual Server version 3.0.1
+Prot LocalAddress:Port ProtoMod Scheduler
+  -> RemoteAddress:Port           Forward Weight ActiveConn InactConn
+TCP localhost:40001 sessionless rr"
+
+if [ "${RET}" != "${EXPECT}" ]
+then
+        echo "Test failed: $L7VSADM"
+        exit 1
+fi
+
+$L7VSADM -D -t localhost:40001 -m sessionless
+if [ $? -ne 0 ]
+then
+        echo "Test failed: $L7VSADM -D -t localhost:40001 -m sessionless"
+        exit 1
+fi
+
+RET=`$L7VSADM`
+EXPECT="Layer-7 Virtual Server version 3.0.1
+Prot LocalAddress:Port ProtoMod Scheduler
+  -> RemoteAddress:Port           Forward Weight ActiveConn InactConn"
+
+if [ "${RET}" != "${EXPECT}" ]
+then
+        echo "Test failed: $L7VSADM"
+        exit 1
+fi
+
+exit 0
+